## Script (Python) "cpsdocument_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=student=None
##title=
##
# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
"""
return Info about the Faculties
"""
request = context.REQUEST

wf = context.portal_workflow
mtool = context.portal_membership
member = mtool.getAuthenticatedMember()
path_info = request.get('PATH_INFO').split('/')

info = {}
member_id = str(member)
dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
roles = member.getRoles()
info['is_manager'] = 'Manager' in roles or 'SectionManager' in roles
info['is_student'] = 'Student' in roles 
info['action'] = "%s/faculty_index_view" % context.absolute_url()
info['choosen_ids'] = request.get('ids',[])
info['doc'] = context.getContent()
res = context.portal_catalog(meta_type="Department",id = dep_id)
info['courses'] = []
if not res:
    return info
brain = res[-1]
cp = brain.getPath()
info['container_path'] = cp
info['dep_id'] = dep_id

res = context.portal_catalog(container_path="%s/courses" % cp)
items = []
for r in res:
    row = {}
    ro = r.getObject()
    rd = ro.getContent()
    row['id'] = r.getId
    row['title'] = rd.Title()
    row['url'] = ro.absolute_url()
    row['review_state'] = wf.getInfoFor(ro,'review_state','None')
    items.append(row)
info['courses'] = items
return info
